## com.fusioncharts.sampledata
Class MultiLingualData

    java.lang.Object
      com.fusioncharts.sampledata.MultiLingualData

    public class MultiLingualData

extends java.lang.Object

Bean containing sample chart data. Default values for all the fields have been set. These can be changed using the set methods. This class has been used as a backing bean in JSF examples.

Author:
  Infosoft Global (P) Ltd.

Field Summary
`protected java.lang.String` `chartId`
`protected java.lang.String` `dynamicurl`
`protected java.lang.String` `filename`
`protected java.lang.String` `frenchXml`
`protected java.lang.String` `height`
`protected java.lang.String` `japanesexml`
`protected java.lang.String` `mixedXml`
`protected java.lang.String` `url`
`protected java.lang.String` `width`

Constructor Summary
`MultiLingualData()`

Method Summary
`private void` `constructFrenchXML()` Here, we have hard-coded the array, in real-world applications you would get the data from database or elsewhere as an array.
`private void` `constructJapaneseXML()` Here, we have hard-coded the array, in real-world applications you would get the data from database or elsewhere as an array.
`private void` `constructMixedXML()`
`java.lang.String` `getChartId()`
`java.lang.String` `getDynamicurl()`
`java.lang.String` `getFilename()`
`java.lang.String` `getFrenchXml()`
`java.lang.String` `getHeight()`
`java.lang.String` `getJapanesexml()`
`java.lang.String` `getMixedXml()`
`java.lang.String` `getUrl()`
`java.lang.String` `getWidth()`
`void` `setChartId(java.lang.String chartId)`
`void` `setDynamicurl(java.lang.String dynamicurl)`
`void` `setFilename(java.lang.String filename)`
`void` `setFrenchXml(java.lang.String frenchXml)`
`void` `setHeight(java.lang.String height)`
`void` `setJapanesexml(java.lang.String japanesexml)`
`void` `setMixedXml(java.lang.String mixedXml)`
`void` `setUrl(java.lang.String url)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### japanesexml

    protected java.lang.String japanesexml

### frenchXml

    protected java.lang.String frenchXml

### mixedXml

    protected java.lang.String mixedXml

### chartId

    protected java.lang.String chartId

### url

    protected java.lang.String url

### dynamicurl

    protected java.lang.String dynamicurl

### width

    protected java.lang.String width

### height

    protected java.lang.String height

### filename

    protected java.lang.String filename

Constructor Detail

### MultiLingualData

    public MultiLingualData()

Method Detail

### constructFrenchXML

    private void constructFrenchXML()

  Here, we have hard-coded the array, in real-world applications you would get the data from database or elsewhere as an array.

### constructJapaneseXML

    private void constructJapaneseXML()

  Here, we have hard-coded the array, in real-world applications you would get the data from database or elsewhere as an array.

### constructMixedXML

    private void constructMixedXML()

### getChartId

    public java.lang.String getChartId()

### getDynamicurl

    public java.lang.String getDynamicurl()

  Returns:
    the dynamicurl

### getFilename

    public java.lang.String getFilename()

  Returns:
    the filename

### getFrenchXml

    public java.lang.String getFrenchXml()

  Returns:
    the frenchXml

### getHeight

    public java.lang.String getHeight()

### getJapanesexml

    public java.lang.String getJapanesexml()

  Returns:
    the japanesexml

### getMixedXml

    public java.lang.String getMixedXml()

  Returns:
    the mixedXml

### getUrl

    public java.lang.String getUrl()

### getWidth

    public java.lang.String getWidth()

### setChartId

    public void setChartId(java.lang.String chartId)

### setDynamicurl

    public void setDynamicurl(java.lang.String dynamicurl)

  Parameters:
    `dynamicurl` - the dynamicurl to set

### setFilename

    public void setFilename(java.lang.String filename)

  Parameters:
    `filename` - the filename to set

### setFrenchXml

    public void setFrenchXml(java.lang.String frenchXml)

  Parameters:
    `frenchXml` - the frenchXml to set

### setHeight

    public void setHeight(java.lang.String height)

### setJapanesexml

    public void setJapanesexml(java.lang.String japanesexml)

  Parameters:
    `japanesexml` - the japanesexml to set

### setMixedXml

    public void setMixedXml(java.lang.String mixedXml)

  Parameters:
    `mixedXml` - the mixedXml to set

### setUrl

    public void setUrl(java.lang.String url)

### setWidth

    public void setWidth(java.lang.String width)